import axios from "axios";
import store from "@/store/store.js";

axios.defaults.baseURL = "http://172.16.0.60:38080/api";

async function login(loginData) {
    return await axios.put(`/auth/login`, loginData, {
        headers: {
            "Content-Type": "application/json",
        },

    });
}

async function logout() {
    return await axios.get(`/auth/logout`, {
        headers: {
            "Authorization": `Bearer ${store.getters.getAccessToken}`,
        },

    })

}

async function pipeline() {

    return await axios.get(`/pipeline/list`, {
        headers: {
            "Authorization": `Bearer ${store.getters.getAccessToken}`,
        },

    })
}

async function table(pipelineKey, startEpoch, endEpoch) {

    return await axios.get(`/dashboard/sql/table`, {
        headers: {
            "Authorization": `Bearer ${store.getters.getAccessToken}`,
        },
        params: {
            pipeline: pipelineKey,
            start_epoch_time: startEpoch,
            end_epoch_time: endEpoch
        },

    })
}

export {login, logout, pipeline, table}
